Subject: (IPng 6459) Re: Host Fragmentation

From: [email-masked]
Date: Mon, 14 Sep 1998 21:59:59 EDT

In a message dated 9/11/98 5:20:29 PM Eastern Daylight Time, [email-masked]
writes:

> > From: [email-masked]
>  > Date: Fri, 11 Sep 1998 02:19:46 EDT
>  > Subject: (IPng 6438) Re: Host Fragmentation
>  > ...
>  > It is not an issue of a few percent.  From the articles I have
>  > read, with jumbogram support NT goes from being one
>  > of the worst performing file or web servers to being
>  > the best performing file or web server.

>  Sorry, I just can't pass this up without comment...
  
>  Many years ago, when Van Jacobson was asked for his opinion about
>  a scheme of using large HIPPI packets (>64K) to bundle multiple IP
>  packets together to improve throughput, his reply was more or less
>  that if you need to have huge packets to get your throughput, you
>  either have broken hardware or broken software.  Hmmm, I wonder
>  which it is for this case? :-)

The formulation of the comment of Van Jacobson is 
somewhat non-specific, because I am not sure what 
the scenario is, but I suspect that some sort
of point to point situation is meant where multiple IP packets
with the same source and destination are meant.  I am
not sure I would agree with the statement even in the
case that I am surmising, for the definition of huge packets 
is somewhat application-dependent.  Nevertheless, 
I doubt that Van Jacobson was addressing the case
where increasing throughput relates to increasing the
number of clients served.  I suspect that he was relating
throughput to the amount of bandwidth attainable on a 
single TCP/IP virtual circuit.  The problems are not the
same, and the current specification of IPv6 makes 
addressing the problem of increasing massive file
server throughput difficult.

>  Just because something seems to work doesn't necessarily make it
>  the right thing to do.

An improper solution in one situation may be a complete
proper solution in another situation

Joachim Martillo
<A HREF="http://members.aol.com/Telford001/">Telford Tools, Inc.</A> 
  
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------